Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hu.diplomamunka.tags
Class IteratorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              hu.diplomamunka.tags.IteratorTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class IteratorTag

extends javax.servlet.jsp.tagext.BodyTagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IteratorTag()`

Method Summary
`protected int` | `addNext(java.util.Iterator iterator)`
`int` | `doAfterBody()`
`int` | `doEndTag()`
`int` | `doStartTag()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`void` | `release()`
`void` | `setCollection(java.util.Collection collection)`
`void` | `setName(java.lang.String name)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag parent)`
`void` | `setType(java.lang.String type)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getValue, getValues, removeValue, setId, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorTag

    public IteratorTag()

Method Detail

### setCollection

    public void setCollection(java.util.Collection collection)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspTagException`

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(java.lang.String type)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspTagException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag parent)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setParent` in class `javax.servlet.jsp.tagext.TagSupport`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `getParent` in class `javax.servlet.jsp.tagext.TagSupport`

### addNext

    protected int addNext(java.util.Iterator iterator)
                   throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspTagException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD